# Draw
TKDraw
DBRep

# DBRep_HideData Class Reference

This class stores all the informations concerning
hidden lines on a view.
* View number
* Matrix of projection
* Type of projection, focal
* Arrays of 3d points
A drawable shape contains a list of such objects
to store the hidden lines for each view. The
IsSame method is used to check if hidden lines
must be recompiled.
.

`#include <DBRep_HideData.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DBRep_HideData ()
Standard_EXPORT void | Set (const Standard_Integer ViewId, const gp_Trsf &TProj, const Standard_Real Focal, const TopoDS_Shape &S, const Standard_Real ang)
| ViewId is the view number TProj the projection Focal <= 0 means parallel projection Alg : the hidden lines .
Standard_Integer | ViewId () const
Standard_Real | Angle () const
Standard_EXPORT Standard_Boolean | IsSame (const gp_Trsf &TProj, const Standard_Real Focla) const
| Returns True if the projection is the same .
Standard_EXPORT void | DrawOn (Draw_Display &D, const Standard_Boolean withRg1, const Standard_Boolean withRgN, const Standard_Boolean withHid, const Draw_Color &VisCol, const Draw_Color &HidCol)
Standard_EXPORT const TopoDS_Shape & | LastPick () const
| Returns the subshape touched by the last pick. .

## Private Attributes

Standard_Integer | myView
gp_Trsf | myTrsf
Standard_Real | myFocal
HLRBRep_ListOfBPoint | myBiPntVis
HLRBRep_ListOfBPoint | myBiPntHid
TopoDS_Shape | myPickShap
Standard_Real | myAngle

## Constructor & Destructor Documentation

Standard_EXPORT DBRep_HideData::DBRep_HideData | ( |  | ) |

## Member Function Documentation

Standard_Real DBRep_HideData::Angle | ( |  | ) | const`[inline]`

Standard_EXPORT void DBRep_HideData::DrawOn | ( | Draw_Display & | D,
|  | const Standard_Boolean | withRg1,
|  | const Standard_Boolean | withRgN,
|  | const Standard_Boolean | withHid,
|  | const Draw_Color & | VisCol,
|  | const Draw_Color & | HidCol
| ) |

Standard_EXPORT Standard_Boolean DBRep_HideData::IsSame | ( | const gp_Trsf & | TProj,
|  | const Standard_Real | Focla
| ) | const

Standard_EXPORT const TopoDS_Shape& DBRep_HideData::LastPick | ( |  | ) | const

void DBRep_HideData::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DBRep_HideData::operator new | ( | size_t | size | ) | `[inline]`

void* DBRep_HideData::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void DBRep_HideData::Set | ( | const Standard_Integer | ViewId,
|  | const gp_Trsf & | TProj,
|  | const Standard_Real | Focal,
|  | const TopoDS_Shape & | S,
|  | const Standard_Real | ang
| ) |

Standard_Integer DBRep_HideData::ViewId | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Real DBRep_HideData::myAngle `[private]`

HLRBRep_ListOfBPoint DBRep_HideData::myBiPntHid `[private]`

HLRBRep_ListOfBPoint DBRep_HideData::myBiPntVis `[private]`

Standard_Real DBRep_HideData::myFocal `[private]`

TopoDS_Shape DBRep_HideData::myPickShap `[private]`

gp_Trsf DBRep_HideData::myTrsf `[private]`

Standard_Integer DBRep_HideData::myView `[private]`

The documentation for this class was generated from the following files:

- DBRep_HideData.hxx
- DBRep_HideData.lxx